// 选择框架和语言
const frame = [
	{
		type: 'list',
		message: '选择什么框架去新建项目❓',
		name: 'type',
		choices: [
			{ name: 'react', value: 'react' },
			{ name: 'vue', value: 'vue' },
		],
	},
	{
		type: 'list',
		message: '是否使用TypeScript❓',
		name: 'isTypeScript',
		choices: [
			{ name: '是', value: 'ts' },
			{ name: '否', value: 'js' },
		],
	},
];

// react框架
const react = [
	{
		type: 'list',
		message: '📢react部分默认包含redux/toolkit;🚶选择路由创建位置',
		name: 'router',
		choices: [
			{ name: '使用RouterProvider', value: 'RouterProvider' },
			{ name: '使用userouter', value: 'userouter' },
			{ name: '使用userouter和zustand', value: 'zustand' },
			{ name: '不使用路由', value: '' },
		],
	},
];

// vue
const vue = [
	{
		type: 'list',
		message: '🚶选择vue仓库',
		name: 'router',
		choices: [
			{ name: 'pina', value: 'pina' },
			{ name: 'vuex', value: 'vuex' },
		],
	},
];

// 项目地址链接
module.exports = {
	// 项目列表
	projectList: {
		'vue&js&vuex': 'https://gitee.com/BunnyBoss/vue_js_vuex.git',
		'vue&js&pina': 'https://gitee.com/BunnyBoss/vue_js_pina.git',
		'vue&ts&vuex': 'https://gitee.com/BunnyBoss/vue_ts_vuex.git',
		'vue&ts&pina': 'https://gitee.com/BunnyBoss/vue_ts_pina.git',
		'react&js&': 'http://129.211.31.58:3000/Bunny-Cli/react_js.git',
		'react&ts&': 'http://129.211.31.58:3000/Bunny-Cli/react_ts.git',
		'react&js&userouter': 'http://129.211.31.58:3000/Bunny-Cli/react_js_userouter.git',
		'react&ts&userouter': 'http://129.211.31.58:3000/Bunny-Cli/react_ts_userouter.git',
		'react&js&RouterProvider': 'http://129.211.31.58:3000/Bunny-Cli/react_js_routerprovider.git',
		'react&ts&RouterProvider': 'http://129.211.31.58:3000/Bunny-Cli/react_ts_routerprovider.git',
		'react&ts&zustand': 'http://129.211.31.58:3000/Bunny-Cli/react_ts_zustand.git',
		'react&js&zustand': 'http://129.211.31.58:3000/Bunny-Cli/react_js_zustand.git',
	},
	// 问题
	question: { frame, react, vue },
};
